import ij.*;
import ij.process.*;
import ij.gui.*;
import java.awt.*;
import ij.plugin.*;

public class multiply_profile_ex implements PlugIn {

	public void run(String arg) {
		ImagePlus imp=WindowManager.getCurrentImage();
		PlotWindow plot=(PlotWindow)imp.getWindow();
		float[] xvals=plot.getXValues();
		float[] yvals=plot.getYValues();
		int length=yvals.length;
		float[] newyvals=new float[length];
		float[] newxvals=new float[length];
		float multiplier=10.0f;
		for(int i=0;i<length;i++){
			newyvals[i]=yvals[i]*multiplier;
			newxvals[i]=xvals[i];
		}
		//since we cant change the original plot, we have to create a new plot
		PlotWindow plot2=new PlotWindow("Multiplied by "+multiplier,"x","y",newxvals,newyvals);
		plot2.draw();
	}

}
