import ij.*;
import ij.process.*;
import ij.gui.*;
import java.awt.*;
import ij.plugin.*;

public class vert_line_profile_ex implements PlugIn {

	public void run(String arg) {
		GenericDialog gd=new GenericDialog("Options"); //here we construct the dialog
		int linenum=0;
		gd.addNumericField("Line Number",linenum,0);
		gd.showDialog();
		if(gd.wasCanceled()){return;}
		linenum=(int)gd.getNextNumber();
		ImagePlus imp=WindowManager.getCurrentImage();
		int width=imp.getWidth();
		int height=imp.getHeight();
		ImageProcessor ip=imp.getProcessor();
		float[] pixels=(float[])ip.getPixels();
		float[] line=new float[height];
		float[] xvals=new float[height];
		for(int i=0;i< height;i++){
			line[i]=pixels[i*width+linenum];
			xvals[i]=(float)i;
		}
		PlotWindow plot=new PlotWindow("Profile"+linenum,"intensity","pixel",xvals,line);
		plot.draw();
	}

}
