import ij.*;
import ij.process.*;
import ij.gui.*;
import java.awt.*;
import ij.plugin.*;

public class set_min_max_ex1 implements PlugIn {

	public void run(String arg) {
		ImagePlus imp=WindowManager.getCurrentImage();
		int width=imp.getWidth();
		int height=imp.getHeight();
		ImageProcessor ip=imp.getProcessor();
		float[] pixels=(float[])ip.getPixels();
		float max=10.0f;
		float min=0.0f;
		float[] newpixels=new float[width*height];
		System.arraycopy(pixels,0,newpixels,0,width*height);
		for(int i=0;i<width*height;i++){
			if(newpixels[i]>max){
				newpixels[i]=max;
			}
			else{
				if(newpixels[i]<min){
					newpixels[i]=min;
				}
			}
		}
		ImageProcessor ip2=new FloatProcessor(width,height,newpixels,null);
		ImagePlus imp2=new ImagePlus("Min_Max_Image",ip2);
		imp2.show();
	}

}
