import ij.*;
import ij.process.*;
import ij.gui.*;
import java.awt.*;
import ij.plugin.*;

public class stack_z_project_ex implements PlugIn {

	public void run(String arg) {
		ImagePlus imp=WindowManager.getCurrentImage();
		int width=imp.getWidth();
		int height=imp.getHeight();
		ImageStack stack=imp.getStack();
		int slices=stack.getSize();
		float[] maxpixels=new float[width*height];
		for(int i=0;i<width*height;i++){
			float[] tempfloat=(float[])stack.getPixels(1);
			maxpixels[i]=tempfloat[i];
			for(int j=2;j<=slices;j++){
				tempfloat=(float[])stack.getPixels(j);
				if(tempfloat[i]>maxpixels[i]){maxpixels[i]=tempfloat[i];}
			}
		}
		ImageProcessor ip2=new FloatProcessor(width,height,maxpixels,null);
		ImagePlus imp2=new ImagePlus("Max_Projection",ip2);
		imp2.show();
	}

}
